import hoverball.*
import hoverball.debug.*

class Debuggy:Human ("Debuggy",0xDD77FF) 
{
   override fun loop() 
   {
      while (look())
      {
         for (puck in pucks) {
            if (puck.X == null) continue
        
            if (puck == self)
               debug(Text(puck.X.c,format_(energy),2.2), 0xFFFFFF)
            else
               debug(Text(puck.X.c,puck.id,-2.2), 0xFFFFFF)

            if (puck.what == NODE)
               debug(X(puck.X.c))
            else if (puck.t != 0 && puck.t != self.t)
               debug(Circle(puck.X.c,Math.PI/15),0xDDAA00)
            else if (puck.equals(BALL, 0))
               debug(Circle(puck.X.c,Math.PI/15),0xFFFFFF)
            else if (puck.equals(BALL,self.t)) {
               debug(Circle(puck.X.c,Math.PI/15))
               debug(Line(null, puck.X.c))
            }
         }
      }
   }
  
   private fun format_(x:Double):String 
   {
      val X = (x*100).toInt()
      val a = X/100
      val b = (X/10)%10
      val c = X%10
      return ""+a+"."+b+""+c
   }
}
