
/*
kotlinc -classpath ../hoverball.jar:. Play.kt -d Play.jar
kotlin -classpath ../hoverball.jar:.:Play.jar PlayKt

[ WINDOWS: use '\' for '/' and ';' for ':' ]
*/

import hoverball.*
import hoverball.math.*

fun main(args: Array<String>) 
{
   println("Let's play Hoverball in Kotlin!")

   val session = Session("Hoverball Demo (Kotlin)", args)

   val clumsy = Clumsy()
   val debuggy = Debuggy()

   session.add(clumsy)
   session.add(debuggy,true)

   session.start(debuggy)
}

