package hoverball.team.LasMaquinaTeam_;


/**
 * Les désirs de l'agent
 * @author Cyrille COIN, Florian COLIN, Thibaud COMTE
 *
 */
public enum Desir {
	
	/**
	 * Aucun désir
	 */
	NONE, 
	
	/**
	 * Exécuter la requête d'un co-équipier
	 */
	EXECUTE_ORDER,
	
	/**
	 * Etre gardien de but
	 */
	DEF_GOAL, 
	
	/**
	 * Etre Attaquant
	 */
	ATT_ATTAQUANT, 
	
	/**
	 * Etre défenseur
	 */
	DEFENSEUR, 
	
	/**
	 * Faire le partenaire démarqué
	 */
	ATT_ASSISTANT, 
	
	/**
	 * Géner l'équipe adverse lorsqu'elle est en phase d'attaque
	 * Trublion
	 */
	DEF_RECUPERATEUR, 
	
	/**
	 * Géner l'équipe adverse lorsqu'elle est en phase d'attaque
	 * Troubleur
	 */
	DEF_MARQUAGE,
	
	/**
	 * Evitement de nos cages
	 */
	EVITE_FLOP,
	
	/**
	 * Evitement des cages adverses
	 */
	EVITE_GOAL
	
}
