/*
   Hoverball
   Copyright (c) 2002-2021 Stefan Bornhofen, Matthias Bornhofen

   This file is part of Hoverball.

   Hoverball is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   Hoverball is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Hoverball. If not, see <http://www.gnu.org/licenses/>.
 */
package hoverball.team;

import hoverball.Application;

/**
 * 2010 by Cédric Leboucher, Marc Bouleau
 * <p>
 * <hr>
 * <p>
 * <tt>java hoverball.team.TrioGaulois </tt>[<i>team</i>] [<i>color</i>] [[<i>host</i>]<tt>:</tt><i>port</i>]
 */
public class TrioGaulois extends hoverball.team.TrioGaulois_.TrioGaulois
{
   public TrioGaulois() { super(); }
   public TrioGaulois(String team) { super(team); }
   public TrioGaulois(int color) { super(color); }
   public TrioGaulois(String team, int color) { super(team,color); }

   public static void main (String[] args)
   {
      Application.setBounds();

      if (args.length == 0) new TrioGaulois().show();
      else {
          try { 
             new TrioGaulois(Integer.parseInt(args[0],16)).show(); args[0] = null;
          } catch(NumberFormatException e) {
             new TrioGaulois().show();
          }  	  
          Application.connect(args[args.length-1]); // host
       }
   }
}
