
/*
groovy -classpath ../hoverball.jar:. Play.groovy

[ WINDOWS: use '\' for '/' and ';' for ':' ]
*/


import hoverball.*
import hoverball.math.*

println "Let's play Hoverball in Groovy!"

session = new Session("Hoverball Demo (Groovy)", args)

clumsy = new Clumsy()
debuggy = new Debuggy()

session.add(clumsy)
session.add(debuggy,true)

session.start(debuggy)

