from hoverball import *
from hoverball.debug import *

import math

class Debuggy (Human):
   def __init__ (self):
      Unit.__init__(self,"Debuggy",0xDD77FF)

   def loop (self):
      while self.look():
         for puck in self.pucks:
            if puck.X == None:
               continue;
               
            if puck == self.self:
               self.debug(Text(puck.X.c,format_(self.energy),2.2),0xFFFFFF)
            else:  # [String conversion of puck.id fails here!?]
               self.debug(Text(puck.X.c,id_(puck),-2.2),0xFFFFFF)

            if puck.what == Puck.NODE:
               self.debug(X(puck.X.c));
            elif puck.t != 0 and puck.t != self.self.t:
               self.debug(Circle(puck.X.c,math.pi/15),0xDDAA00)
            elif puck.equals(Puck.BALL,0):
               self.debug(Circle(puck.X.c,math.pi/15),0xFFFFFF)
            elif puck.equals(Puck.BALL,self.self.t):
               self.debug(Circle(puck.X.c,math.pi/15))
               self.debug(Line(None,puck.X.c))

def format_(x):
   X = int(x*100)
   a = X//100
   b = (X//10)%10
   c = X%10
   return str(a)+"."+str(b)+str(c)

def id_(puck):
   return Puck.id(puck.what,puck.t,puck.n)

