
#
# jython -Dpython.path=../hoverball.jar:. Play.py
#
# [ WINDOWS: use '\' for '/' and ';' for ':' ]
#

from hoverball import *
from hoverball.math import *

from Clumsy import Clumsy
from Debuggy import Debuggy

print("Let's play Hoverball in Jython!")

session = Session("Hoverball Demo (Jython)")

clumsy = Clumsy()
debuggy = Debuggy()

session.add(clumsy)
session.add(debuggy,True)

session.start(debuggy)

from time import sleep   # Don't leave the VM!
sleep(9999)              # Press 'Ctrl-C' to quit.

