package hoverball.net;

class Connection
{
	Address local;
	Address remote;
	
	Connection (Address local, Address remote)
	{
	      this.local = local;
	      this.remote = remote;
	}

	public boolean equals (Object c)
	{
	    if (c == null) return false;
	    if (!(c instanceof Connection)) return false;
	    Connection C = (Connection)c;
	    boolean bl;
	    if (local!=null) bl = local.equals(C.local);
	    else bl = (C.local==null);
	    boolean br;
	    if (remote!=null) br = remote.equals(C.remote);
	    else br = (C.remote==null);	    
		return bl && br;
	}
	
   public int hashCode ()
   {
	   int result = HashCoder.SEED;
	   //collect the contributions of various fields
	   result = HashCoder.hash(result, local);
	   result = HashCoder.hash(result, remote);
       return result;
   }
   
	public String toString()
	{
		return "["+local+"<->"+remote+"]";
	}	
}

