package hoverball.sample;

import hoverball.*;
import hoverball.debug.*;
import hoverball.math.*;

public class Debuggy extends Human
{
   public Debuggy () { super("Debug Human"); }    // Constructor.

   public void loop ()
   {
      Puck[] nodes  = null;
      Puck[] nodes_ = null;
      Puck ball = null;

      while(look())
      {
         // ########

         nodes = new Puck[6];
         for (int i=0; i<6; ++i) nodes[i] = puck(NODE,0,i);  // detect new Blips

         if (nodes_ != null) {                               // korrigiere...
            for (int i=0; i<6; ++i) if (nodes[i] != null && nodes_[i] != null) {
               Matrix M = nodes_[i].X.inv().mul(nodes[i].X);
               if (ball != null) ball.X = ball.X.mul(M); /*immutable*/
               break;
            }
         }
         nodes_ = nodes;

         if (puck(BALL,0,1) != null) ball = puck(BALL,0,1);  // sieht ball? update!

         // ########

         action(Double.NaN,Double.NaN,Double.NaN,"Ich sehe "+pucks.length+" Pucks.");

         // ########

         if (ball != null) debug(new Line(null,ball.X.c),0xFFFFFF);
         if (puck(BALL,self.t,1) != null) debug(new Line(null,puck(BALL,self.t,1).X.c));

//         for (int i=0; i<pucks.length; ++i) {        // für alle Pucks P tue: (Positionen)
//            Puck puck = pucks[i];
//            if (puck.X == null) continue;            // sehe P nicht, höre P nur.
//
//            debug(new Circle(puck.X.c,Math.PI/18));  // Kreis um P
//            debug(new Text(puck.X.c,puck.id,1),-1);  // Identität von P
//         }

//         int k = 3;
//         for (int i=0; i<pucks.length; ++i) {        // für alle Pucks P tue: (Messages)
//            Puck puck = pucks[i];
//
//            if (puck.message != null)
//               if (puck == self)  // Meine Message
//                  debug(new Text(null,puck.message,2),0xFF4400);
//               else               // Message von P
//                  debug(new Text(null,"Ich höre ("+puck.id+"): "+puck.message,k++),0xFF4400);
//
//         }

         try {
            debug(new Text(null,format(energy) ,3),0xFFFFFF);
            debug(new Text(null,format(penalty),4),0xFFFFFF);
         } catch(Error e) {} // abwärts kompatibel: keine energy, kein penalty
      }
   }
}
