package hoverball.team.LasMaquinaTeam_;


/**
 * L'intention d'un agent de notre équipe
 * @author Cyrille COIN, Florian COLIN, Thibaud COMTE
 *
 */
public enum Intention {
	
	/**
	 * Aucune intention
	 */
	NONE, 
	
	/**
	 * Récupérer la balle
	 */
	GET_BALL, 
	
	/**
	 * Aller vers la cible
	 */
	GOTO,
	
	/**
	 * Tirer
	 */
	SHOOT, 
	
	/**
	 * Tourner autour pour repérer les pucks
	 */
	TURN,
	
	/**
	 * Faire le gardien
	 */
	DO_THE_GOAL, 
	
	/**
	 * Faire une passe
	 */
	PASS
	
}
