/**
 *
 */
package hoverball.team.TribalQueens_;

import hoverball.Application;
import hoverball.Team;

/**
 * @author detantxavi
 *
 */
public class TribalQueens extends Team {

	/**
	 * La fonction main de l'équipe
	 *
	 * @param args
	 *            les parametres fournis en arguments
	 */
	public static void main(String[] args) {
		Application.setBounds();

		new TribalQueens().show();
	}

	public TribalQueens() { this(null); }
	public TribalQueens(String team) { this(team,0x8888FF); }
   public TribalQueens(int color) { this(null,color); }

	/**
	 * Constructeur des tribal queens
	 *
	 * @param team
	 *            Le nom de l'équipe
	 * @param color
	 *            Leur couleurxs
	 */
	public TribalQueens(String team, int color) {
		super((team == null || team == "")? "Tribal Queens" : team, 
		   "Mars 2010", "Nous", "Let's play!");

		TribalQueen Zelda = new TribalQueen(team, "Zelda", color);
		add(Zelda);

		TribalQueen Peach = new TribalQueen(team, "Peach", color);
		add(Peach);

		TribalQueen Daisy = new TribalQueen(team, "Daisy", color);
		add(Daisy);
	}
}
